# Cursors

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Defines a collection of predefined [Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md) objects.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Cursors
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Cursors
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Alias

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "shortcut" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Arrow

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "arrow" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Cell

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns "cell" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Copy

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the clipboard "copy" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Cross

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "crosshair" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Default

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "default" cursor, which is usually an arrow cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Grab

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "grab" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Hand

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "hand" cursor, typically used when hovering over a Web link.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Help

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "help" cursor, which is a combination of an arrow and a question mark.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)HSplit

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "row-resize" cursor that appears when the mouse is positioned over a horizontal splitter bar.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)IBeam

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "text" cursor, which is used to show where the text cursor appears when the mouse is clicked.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Move

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "move" cursor, typically an cross shape.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)No

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "not-allowed" cursor that indicates that a particular region is invalid for the current operation.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)None

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "none" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)NotAllowed

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "not-allowed" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeAll

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "move" sizing cursor, which consists of four joined arrows that point north, south, east, and west.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeNE

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "ne-resize" diagonal (north/east) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeNESW

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "nesw-resize" diagonal (northeast/southwest) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeNS

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "n-resize" vertical (north/south) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeNW

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "nw-resize" diagonal (north/west) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeNWSE

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "nwse-resize" diagonal (northwest/southeast) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeSE

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "se-resize" diagonal (south/east) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeSW

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "sw-resize" diagonal (south/west) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)SizeWE

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "w-resize" horizontal (west/east) sizing cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)Text

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "text" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)VSplit

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "col-resize" cursor that appears when the mouse is positioned over a vertical splitter bar.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)WaitCursor

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "wait" cursor, typically an hourglass shape.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)ZoomIn

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "zoom-in" cursor.

### ![](/files/Hmp2vvZNwlM0pVMoRQus)ZoomOut

[Cursor](/api/v3.0/wisej.web/general/wisej.web.cursor.md): Returns the "zoom-out" cursor.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/general/wisej.web.cursors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
